-- [[ Config Loading ]]
--vim.loader.enable()  -- Cached Module Loader

-- [[ Leader Config ]]
--- See `:help mapleader`
--- NOTE: Must happen before plugins are loaded (otherwise wrong leader will be used)
vim.g.mapleader = ' '
vim.g.maplocalleader = ' '

-- [[ NERD Font Declaration ]]
vim.g.have_nerd_font = true

-- [[ Remote Python ]]
local remote_python_path = vim.fn.stdpath('config') .. '/remote-python'
vim.g.python3_host_prog = remote_python_path .. '/.venv/bin/python'

-- [[ Vim Options ]]
require('options')

-- [[ Global Keymaps ]]
require('keymaps')

-- [[ Global Autocmds ]]
require('autocmds')

-- [[ User Commands ]]
require('usercmds')

-- [[ GUI Config ]]
require('guis')

-- [[ Plugins ]]
require('plugins')

-- [[ LSP Configuration ]]
require('lsp')
