return {
	'saghen/blink.cmp',
	version = 'v0.11.0',
	lazy = false,

	priority = 1002,

	opts = {
		completion = {
			trigger = {
				show_in_snippet = false,
			},
			list = {
				selection = {
					preselect = true,
					auto_insert = false,
				},
			},
			menu = {
				auto_show = false,
			},
			documentation = {
				auto_show = true,
				auto_show_delay_ms = 0,
			},
			ghost_text = {
				enabled = true,
			},
		},
		sources = {
			default = { 'lsp', 'path', 'buffer' },
		},
		signature = { enabled = true },
		keymap = {
			preset = 'none',

			['<C-h>'] = {
				'snippet_backward',
				'cancel',
			},
			['<C-u>'] = {
				function(cmp)
					if vim.snippet.active() then
						cmp.accept()
						vim.snippet.stop()
						return 1 -- Something non-nil prevents cmp.show()
					end
				end,
				function(cmp)
					cmp.show({ providers = { 'snippets' } })
				end,
			},
			['<C-j>'] = {
				'select_next',
			},
			['<C-k>'] = {
				'show',
				'select_prev',
			},
			['<C-l>'] = {
				'snippet_forward',
				'select_and_accept',
			},

			--['<CR>'] = { 'accept', 'fallback' },

			['<C-M-j>'] = { 'scroll_documentation_down' },
			['<C-M-k>'] = { 'scroll_documentation_up' },

			['<Tab>'] = { 'fallback' },
			['<S-Tab>'] = { 'fallback' },

			--['<C-e>'] = { 'hide' },
			--['<C-y>'] = { 'select_and_accept' },

			--['<Up>'] = { 'select_prev', 'fallback' },
			--['<Down>'] = { 'select_next', 'fallback' },
			--['<C-p>'] = { 'select_prev', 'fallback' },
			--['<C-n>'] = { 'select_next', 'fallback' },

			--['<C-b>'] = { 'scroll_documentation_up', 'fallback' },
			--['<C-f>'] = { 'scroll_documentation_down', 'fallback' },

			--['<Tab>'] = { 'snippet_forward', 'fallback' },
			--['<S-Tab>'] = { 'snippet_backward', 'fallback' },

			--['<C-k>'] = { 'show_signature', 'hide_signature', 'fallback' },
		},
	},
}
