return {
	'folke/snacks.nvim',
	commit = 'b773368f8aa6e84a68e979f0e335d23de71f405a',
	lazy = false,
	priority = 1000,

	keys = {
		{
			'<c-w>d',
			function()
				require('snacks').bufdelete()
			end,
			desc = 'Delete Current Buffer',
		},

		-- UX
		--- <leader>u
		{
			'<leader>ud',
			function()
				require('snacks').dim()
			end,
			desc = '[U]I [D]imming',
		},
		{
			'<leader>us',
			function()
				require('snacks').dim.disable()
			end,
			desc = 'Disable [U]I Dimming',
		},
		{
			'<leader>uz',
			function()
				require('snacks').zen()
			end,
			desc = '[U]I [Z]en Mode',
		},
	},

	opts = {
		-- Big Files: Disable LSPs for Very Big Files
		bigfile = {},

		-- Dashboard: Pretty Startup
		dashboard = {},

		-- Dim: Focus on the Active Scope
		dim = {},

		-- Indent: Indentation Guides
		indent = {
			animate = {
				enabled = false,
			},
		},

		-- Input: Better vim.ui.input
		input = { enabled = true },

		-- TODO: git (for the blame line)
		-- TODO: gitbrowse
		-- TODO: lazygit

		-- Notifier: Prettier notifications
		--notifier = { enabled = true },

		-- Quickfile: Load files first (aka fast) when doing 'nvim file.txt'
		quickfile = { enabled = true },

		-- TODO: 'rename' w/nvim-tree integration

		-- "Zen Mode"
		zen = { enabled = true },
	},
}
